Riak pb client build problem from tip

Mike Oxford moxford at gmail.com
Wed Apr 6 18:17:28 EDT 2011


Okay, I figured it out.

I am running riakc as a dep of my application, which is based on riak_core.

This causes the problem of 0.5.1 vs 0.6

Doing a "make" in the riakc directory does work.

It looks like my riak_core is specifying 0.5.1, pulling it, and then when
riakc comes along it wants 0.6 but has already pulled 0.5.1 and tries to use
that...and fails.

So I'm going to set my riak_core deps line to use 0.6 and make sure I don't
repull it before it's updated in the repo.  :)

And...it works!

Thanks!

-mox


On Wed, Apr 6, 2011 at 2:19 PM, Andrew Thompson <andrew at hijacked.us> wrote:

> On Wed, Apr 06, 2011 at 01:50:24PM -0700, Mike Oxford wrote:
> > Riak's Erlang pb client rebar.config was updated to use protobuffs 0.6
> but
> > the protobuffs repo itself still only has 0.5.1
> >
> >                    {expected,"0.6.*"},
> >                    {has,"0.5.1"}}}.
> >
> > Just a heads-up for whomever is coordinating those internally.  :)
> >
>
> I just double-checked with a fresh checkout and it worked. Try deleting
> your deps directory and runing make again. Rebar isn't great at updating
> dependancies it seems.
>
> Andrew
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.basho.com/pipermail/riak-users_lists.basho.com/attachments/20110406/29aa0399/attachment.html>


More information about the riak-users mailing list